Subject: Re: swap_dup: Bad swap file entry 00480020

From: Geoff Levand <[email-masked]>
Date: Fri, 05 Aug 2005 14:12:44 -0700

BTW, I posted a fix for a bug in the 2.6 page table attribute
settings for PPC440 that cause corruption when swapping.  I 
don't know if is the same for 2.4.

http://patchwork.ozlabs.org/linuxppc/patch?id=1458

-Geoff

Bogdan Antonovici wrote:
> Dan,
>  
> It hasn't crashed since i corrected that pointer initialization in
> driver. You were right.
> Thank you.
> Bogdan
> 
> ----- Original Message ----- 
> From: Dan Malek <mailto:[email-masked]>  
> To: bogdan antonovici <mailto:[email-masked]>  
> Cc: linuxppc-dev <mailto:[email-masked]>  ;
> [email-masked] <mailto:[email-masked]>  ;
> ppckernel <mailto:[email-masked]>  
> Sent: Thursday, July 21, 2005 12:59 PM
> Subject: Re: swap_dup: Bad swap file entry 00480020
> 
> 
> On Jul 21, 2005, at 11:29 AM, bogdan antonovici wrote:
> 
> 
>>At the time of swap messages i was running a proprietary driver, my
>>application and few daemons.
> 
> 
> Looks like your driver may have written over some of the page
> tables in the kernel space.
> 
> 
>>I look on the net for some clues but it's quite confusing, i noticed
>>many emails on swap_dup/swap_free error messages but i couldn't figure
>>out what should i search for.
> 
> 
> Those messages are likely due to a bug with swapping to disk
> that has been in some 2.4 kernels, but I don't believe that is
> the case here, since you don't have a disk or swapping enabled.
> 
> 
> -- Dan
> 
> 
> 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev